
Redmine - Feature #4462

Per Project Emission Address

2009-12-21 16:03 - Bellatoris Opacus

Status: New Start date: 2009-12-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

It would be wonderful to be able to set an emission address per project, rather than having the universal emissions address.  For

example:

Project A: "From" set to "projecta@domain1.com"

Project B: "From" set to "projectb@domain1.com"

Project C: "From" set to "projectc@domain2.com"

More here:  http://www.redmine.org/boards/2/topics/9931

Related issues:

Related to Redmine - Feature #4015: Make app settings overridable at project ... New 2009-10-10

Related to Redmine - Feature #7349: Per-project email notification settings New 2011-01-17

Related to Redmine - Feature #1853: Make Projects truly independent of each o... New 2008-09-04

Has duplicate Redmine - Feature #6176: Email Notifications per project Closed 2010-08-19

Has duplicate Redmine - Feature #11894: Configurable emission email address Closed

History

#1 - 2010-12-16 12:48 - Dan Scharon

Indeed, this is actually a must have.

#2 - 2011-01-12 19:02 - Rene H

Please add this feature. This is really a trivial feature for an setup with multiple projects!

#3 - 2011-01-17 14:32 - Andrey Gazizov

Hi!

until such feature has not implemented in redmine, I modified the mailer.rb file (/usr/local/www/redmine/app/models/) like this:

[...]

def issue_add(issue)

redmine_headers 'Project' => issue.project.identifier,

'Issue-Id' => issue.id,

'Issue-Author' => issue.author.login

redmine_headers 'Issue-Assignee' => issue.assigned_to.login if issue.assigned_to

message_id issue

from "\"#{issue.author}\" <#{issue.author.mail}>"

if issue.project.identifier == "bug"

recipients ["projecta@domain1.com"] # <- issue.recipients

cc(issue.watcher_recipients - @recipients)

else recipients ["projectb@domain2.com"] end

[...]

Hope this temporary solution will be helpful to somebody ;-)

#4 - 2011-03-23 18:09 - Y N

+1 Definitely an important requirement.

#5 - 2011-04-20 10:17 - Frank Brenner

+1 We need this before we can migrate from Trac.
#6 - 2013-12-06 16:23 - Toshi MARUYAMA

- Has duplicate Feature #6176: Email Notifications per project added

#7 - 2013-12-06 16:24 - Toshi MARUYAMA

- Related to Feature #7349: Per-project email notification settings added

#8 - 2013-12-06 16:24 - Toshi MARUYAMA

- Related to Feature #1853: Make Projects truly independent of each other added

#9 - 2019-02-11 03:44 - Go MAEDA

- Has duplicate Feature #11894: Configurable emission email address added

#10 - 2020-01-31 19:37 - Jenda Benda

+1 this would help really as we provide each of our customers with dedicated email address where we capture tickets sent to it...these are converted

into the issues in specific project (per customer).

When any update is done to the issue, email is sent from primary/main email address configured for redmine, which is confusing. Any reply then

causes mismatch...

thanks so much for considering this.

j.

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

http://www.tcpdf.org

